Subject: bug#293: Image for Raspberry Pi 2 will not boot

From: Paul Bryan Roberts <[email-masked]>
Date: Thu, 14 Feb 2019 15:03:30 +0000

Package: armhf_raspi2
Version: ascii_2.0.0

"You need to supply a correct |Package| line in the pseudo-header in 
order for the bug tracking system to deliver the message to the 
package's maintainer."

Can't get as far a dpkg -S

  * The /exact/ and /complete/ text of any error messages printed or
    logged. This is very important!

NO ERROR MESSAGES just a blank screen - the colour spectrum of the 
Raspberry PI boot rom is replaced by a blank screen, nothing logged on 
the screen, no log-in prompt.

  * Exactly what you typed or did to demonstrate the problem.

NOTHING TYPED - I inserted the microSD card, then the HDMI cable, then 
the power supply.

  * A description of the incorrect behaviour: exactly what behaviour you
    were expecting, and what you observed. A transcript of an example
    session is a good way of showing this.

I was expecting lots of logging to the console and finally a log-in 
prompt.  See Details below.

  * A suggested fix, or even a patch, if you have one.

Sadly I have none, else I probably would not be wasting your/our time.

  * Details of the configuration of the program with the problem.
    Include the complete text of its configuration files.

Um ... I am not sure what would be relevant here.  I looks to me like 
that the boot-rom does not recognise the micro-SD card.  It is just as 
if it were not there.

Include any detail that seems relevant - you are in very little danger 
of making your report too long by including too much information.

OK. *Details* ...

I have an RPi 2 and an RPi 3 and three microSD cards.

Card 1 has 2018-11-13-raspbian-stretch as a sanity check.  It will boot 
all the way through to X-11 in both the RPi 2 and RPi 3, as expected.  
Ergo nothing obviously wrong with the kit.

Card 2 has devuan_ascii_2.0.0_arm64_raspi3.img, which I have been using 
for several weeks in the RPi 3.  When in the RPi 2, there is some boot 
console output before the Linux kernel crashes and halts, as expected.

Card 3 is devuan_ascii_2.0.0_armhf_raspi2.img, which I expect to boot in 
the RPi 3 and well as in the RPi 2.  It does not boot in either.

I installed devuan_ascii_2.0.0_arm64_raspi3.img on Card 3 and, in the 
RPi 3, it boots through to the log-in prompt, as expected. Ergo nothing 
obviously wrong with the microSD card.

I downloaded devuan_ascii_2.0.0_armhf_raspi2.img again and verified the 
MD5SUM (f33aa344956f1a75dab54a51312ba9af) was the same as last time and 
copied the new image to the microSD card using the instructions in 
https://files.devuan.org/devuan_ascii/embedded/README.txt.

Still no joy but I infer there is/was nothing obviously wrong with my 
download plus copy to SD card methodology.

I tried the gpg notes in 
https://files.devuan.org/devuan_ascii/embedded/README.txt and I got:

pbr:devuan$ gpg --verify SHA256SUMS.asc && sha256sum -c SHA256SUMS
gpg: directory `/home/pbr/.gnupg' created
gpg: new configuration file `/home/pbr/.gnupg/gpg.conf' created
gpg: WARNING: options in `/home/pbr/.gnupg/gpg.conf' are not yet active 
during this run
gpg: keyring `/home/pbr/.gnupg/pubring.gpg' created
gpg: Signature made Wed 06 Jun 2018 12:25:01 BST using RSA key ID F78637DE
gpg: Can't check signature: public key not found

This suggests to me there is something 'intuitive' about this that 
wasn't common knowledge at the time I was born.  I cannot see how it is 
relevant.

I have inserted the 'not working image/card' into the running Raspbian 
image and both partition are mounted.  I have unmounted them and run 
fsck -f on each partition and neither is reported as corrupt.  I have 
had a quick peek in /var/log of the mounted image and there is nothing 
there more recent than 06 Jun 2018.

This is not the kind of thing I can work around or debug so, as 
recommended in 
https://files.devuan.org/devuan_ascii/embedded/README.txt, I am trying 
to raise a bug report but, sadly, without knowing either the package 
name or the maintainer's name.

Here's hoping your hair is having a better day than mine ...

    P-B Roberts